
  <div class="row">
    <div class="col-lg-8">
        <h1 class="page-header">Ticket</h1>
    </div>
    <div class="col-lg-4">
      <button type="button" class="btn btn-block btn-social btn-success" data-toggle="modal" data-target="#ti"><i class="fa fa-plus fa-lg"></i>
        Nuevo Ticket
      </button>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12">
      <div class="panel panel-default">
        <div class="panel-body">
          <table width="100%" class="table table-striped table-bordered table-hover" id="tic">
            <thead>
              <tr>
                <th>N°</th>
                <th>Fecha emision</th>
                <th>Tipo</th>
                <th>Funcion</th>
                <th>Estado</th>
                <th>Opciones</th>
              </tr>
            </thead>
            <tbody>
              <% @tickets.each do |ticket| %>
                <tr>
                  <td><%= ticket.tick_id %></td>
                  <td><%= ticket.tick_fecha %></td>
                  <td><%= ticket.tick_tt %></td>
                  <td><%= ticket.tick_fun %></td>
                  <td><%= ticket.est_tick.et_desc %></td>
                  <td>
                    <%= link_to '<i class="fa fa-eye fa-lg"></i>'.html_safe, ticket, class: "btn btn-success btn-circle" %>
                    <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_ticket_path(ticket), class: "btn btn-warning btn-circle" %>
                    <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, ticket, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                  </td>
                </tr>
              <% end %>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="ti" tabindex="-1" role="dialog" aria-labelledby="tiLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="tiLabel">Nuevo Ticket</h4>
        </div>
        <div class="modal-body">
          <%= render 'form', ticket: @ticket %>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  $(document).ready(function(){
    $('#tic').DataTable();
  });
  $('#ti').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
</script>
